Subject: [Tigers] Oil Filter Adapter Color

From: Joel Martin <[email-masked]>
Date: Wed, 24 Apr 2013 05:43:24 -0700 (PDT)

All
 
The Ford 90 degree oil filter adapter will not work with SS headers without
about 50%dippling and\or grinding down the corner of the adapter of the first
header tube and then using a shorty oil filter, which I do not like to use.
 
So, back to the stock oil filter setup, which was my preference but I was
swayed by local influences.
 
My question is - the stock adapter that bolts to the block and the 2 hoses
coming out of it - is it suppose to be engine color or natural or what?
 
Thanks
Joel Martin
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]